Package org.apache.tomcat.websocket

# Class BackgroundProcessManager

java.lang.Object
org.apache.tomcat.websocket.BackgroundProcessManager

public class BackgroundProcessManager extends Object
Provides a background processing mechanism that triggers roughly once a second. The class maintains a thread that only runs when there is at least one instance of `BackgroundProcess` registered.

## Method Summary

Modifier and Type
Method
Description
`static BackgroundProcessManager`
`getInstance()`
`void`
`register(BackgroundProcess process)`
`void`
`unregister(BackgroundProcess process)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static BackgroundProcessManager getInstance()

### register

public void register(BackgroundProcess process)

### unregister

public void unregister(BackgroundProcess process)